Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.beans.common
Interface T3Bean

public interface T3Bean
extends java.io.Serializable

Interface for T3Beans. Once a T3Bean has been generated and instantiated, use methods from this class to operate on the T3Bean.

Author:
  Copyright (c) 1997 WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `SETIMPL` Command number for sending implementation changing messages.

Method Summary
`boolean` | `bind(java.lang.String url)` Binds a T3Bean to a URL.
`void` | `bind(java.lang.String name, boolean implementation)` Binds a T3Bean to the local server.
`void` | `bind(T3Client t3, java.lang.String name, boolean implementation)` Binds a T3Bean to an already-connected T3Client with the specified name and implementation.
`void` | `t3BeanServicesEventOccurred(T3BeanMsg t3bm)` Passes a T3BeanMsg event message to a T3Bean.
`void` | `unbind()` Removes a client or implementation from the framework and unbinds its name.

Field Detail

### SETIMPL

    public static final int SETIMPL

  Command number for sending implementation changing messages.

Method Detail

### bind

    public boolean bind(java.lang.String url)
                 throws NotImplementedException,
                        AlreadyImplementedException,
                        java.net.MalformedURLException

  Binds a T3Bean to a URL. The URL is constructed as follows:

        bean://T3Server_URL:port/name[?impl=true/false/try]

  where T3ServerURL is the URL of the T3Server host and port is the port number at which the T3Server is listening for login requests. The name is what clients will use to look up a reference to the object.

  The URL argument impl should be set to the following:

  - `true` if you want this T3Bean to become the impl. If there is already an impl, this call to `bind()` will fail and throw an AlreadyImplementedException.
  - `false` if you want this T3Bean to be a client of the impl. If there is no impl, this call to `bind()` will fail and throw a NotImplementedException.
  - `try` if you want this T3Bean to become the impl if there is no impl, otherwise become a client of the impl.

  Parameters:
    `url` - Proposed URL of the bean
  Throws:
    NotImplementedException - if there is no implementation and the T3Bean is attempting to become a client
    AlreadyImplementedException - if there is already an implementation and the T3Bean is attempting to become the implementation
    java.net.MalformedURLException - if the URL is not valid

### bind

    public void bind(java.lang.String name,
                     boolean implementation)
              throws NotImplementedException,
                     AlreadyImplementedException,
                     T3Exception

  Binds a T3Bean to the local server. The boolean implementation flag can be set to:
  - `true` if you want this T3Bean to become the impl. If there is already an impl, this call to `bind()` will fail and throw an AlreadyImplementedException.
  - `false` if you want this T3Bean to be a client of the existing impl. If there is no impl, this call to `bind()` will fail and throw a NotImplementedException.

  Parameters:
    `name` - Name of the T3Bean
    `implementation` - true if this T3Bean should become the implementation
  Throws:
    NotImplementedException - if there is no implementation and the T3Bean is trying to be its client
    AlreadyImplementedException - if there is an existing implementation and the T3Bean is trying to be the implementation
    weblogic.beans.common.T3Exception - if there is an T3-related error

### bind

    public void bind(T3Client t3,
                     java.lang.String name,
                     boolean implementation)
              throws NotImplementedException,
                     AlreadyImplementedException,
                     T3Exception

  Binds a T3Bean to an already-connected T3Client with the specified name and implementation.

  Parameters:
    `t3` - Connected T3Client
    `name` - Name of the bean
    `implementation` - true if this T3Bean should become the implementation
  Throws:
    NotImplementedException - if there is no implementation and the T3Bean is trying to be its client
    AlreadyImplementedException - if there is an existing implementation and the T3Bean is trying to be the implementation
    weblogic.beans.common.T3Exception - if there is an T3-related error

### unbind

    public void unbind()
                throws UnbindException

  Removes a client or implementation from the framework and unbinds its name.

  Throws:
    UnbindException - if the T3Bean is not bound or the implementation has clients

### t3BeanServicesEventOccurred

    public void t3BeanServicesEventOccurred(T3BeanMsg t3bm)

  Passes a T3BeanMsg event message to a T3Bean. T3Beans are listeners for T3BeanMsg events.

  Parameters:
    `t3bm` - Base class for messages passed between T3Beans

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD